package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Es la representacion de los datos de factura consultados 
 * Se usa para el manejo de las operaciones BD. 
 */
public class DatosFacturaDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_FACTURA;
	private String NO_FACTURA;
	private String FECHA_FACTURA;
	private String IVA;
	private String COMENTARIO;
	private String POSICION_ENVIAR;
	private String TIPO_PAGO;
	private String FECHA_SAP_I17;
	private String FECHA_SAP_I32;
	private String FECHA_SAP_I14;
	private String MONEDA;
	private String ID_CONTRATO_ORIGINAL;
	private String MONTO_PAGAR;
	private String ID_SAP_CONTRATO;
		
	public String getID_FACTURA() {
		return ID_FACTURA;
	}

	public void setID_FACTURA(String iD_FACTURA) {
		ID_FACTURA = iD_FACTURA;
	}

	public String getNO_FACTURA() {
		return NO_FACTURA;
	}

	public void setNO_FACTURA(String nO_FACTURA) {
		NO_FACTURA = nO_FACTURA;
	}

	public String getFECHA_FACTURA() {
		return FECHA_FACTURA;
	}

	public void setFECHA_FACTURA(String fECHA_FACTURA) {
		FECHA_FACTURA = fECHA_FACTURA;
	}

	public String getIVA() {
		return IVA;
	}

	public void setIVA(String iVA) {
		IVA = iVA;
	}

	public String getCOMENTARIO() {
		return COMENTARIO;
	}

	public void setCOMENTARIO(String cOMENTARIO) {
		COMENTARIO = cOMENTARIO;
	}

	public String getPOSICION_ENVIAR() {
		return POSICION_ENVIAR;
	}

	public void setPOSICION_ENVIAR(String pOSICION_ENVIAR) {
		POSICION_ENVIAR = pOSICION_ENVIAR;
	}

	public String getTIPO_PAGO() {
		return TIPO_PAGO;
	}

	public void setTIPO_PAGO(String tIPO_PAGO) {
		TIPO_PAGO = tIPO_PAGO;
	}

	public String getFECHA_SAP_I17() {
		return FECHA_SAP_I17;
	}

	public void setFECHA_SAP_I17(String fECHA_SAP_I17) {
		FECHA_SAP_I17 = fECHA_SAP_I17;
	}

	public String getFECHA_SAP_I32() {
		return FECHA_SAP_I32;
	}

	public void setFECHA_SAP_I32(String fECHA_SAP_I32) {
		FECHA_SAP_I32 = fECHA_SAP_I32;
	}

	public String getFECHA_SAP_I14() {
		return FECHA_SAP_I14;
	}

	public void setFECHA_SAP_I14(String fECHA_SAP_I14) {
		FECHA_SAP_I14 = fECHA_SAP_I14;
	}

	public String getMONEDA() {
		return MONEDA;
	}

	public void setMONEDA(String mONEDA) {
		MONEDA = mONEDA;
	}

	public String getID_CONTRATO_ORIGINAL() {
		return ID_CONTRATO_ORIGINAL;
	}

	public void setID_CONTRATO_ORIGINAL(String iD_CONTRATO_ORIGINAL) {
		ID_CONTRATO_ORIGINAL = iD_CONTRATO_ORIGINAL;
	}

	public String getMONTO_PAGAR() {
		return MONTO_PAGAR;
	}

	public void setMONTO_PAGAR(String mONTO_PAGAR) {
		MONTO_PAGAR = mONTO_PAGAR;
	}

	public String getID_SAP_CONTRATO() {
		return ID_SAP_CONTRATO;
	}

	public void setID_SAP_CONTRATO(String iD_SAP_CONTRATO) {
		ID_SAP_CONTRATO = iD_SAP_CONTRATO;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_FACTURA: _" + this.getID_FACTURA() + "_" + NEW_LINE);
		result.append(" NO_FACTURA: _" + this.getNO_FACTURA() + "_" + NEW_LINE);
		result.append(" FECHA_FACTURA: _" + this.getFECHA_FACTURA() + "_" + NEW_LINE);
		result.append(" IVA: _" + this.getIVA() + "_" + NEW_LINE);
		result.append(" COMENTARIO: _" + this.getCOMENTARIO() + "_" + NEW_LINE);
		result.append(" POSICION_ENVIAR: _" + this.getPOSICION_ENVIAR() + "_" + NEW_LINE);
		result.append(" TIPO_PAGO: _" + this.getTIPO_PAGO() + "_" + NEW_LINE);
		result.append(" FECHA_SAP_I17: _" + this.getFECHA_SAP_I17() + "_" + NEW_LINE);
		result.append(" FECHA_SAP_I32: _" + this.getFECHA_SAP_I32() + "_" + NEW_LINE);
		result.append(" FECHA_SAP_I14: _" + this.getFECHA_SAP_I14() + "_" + NEW_LINE);
		result.append(" MONEDA: _" + this.getMONEDA() + "_" + NEW_LINE);
		result.append(" ID_CONTRATO_ORIGINAL: _" + this.getID_CONTRATO_ORIGINAL() + "_" + NEW_LINE);
		result.append(" MONTO_PAGAR: _" + this.getMONTO_PAGAR() + "_" + NEW_LINE);
		result.append(" ID_SAP_CONTRATO: _" + this.getID_SAP_CONTRATO() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}


}
